/*
 * EditDeviceDialog.java
 *
 * Created on 1 August 2012, 23:21
 *
 * AsItHappens - real-time network monitor
 * Copyright (C) 2006  Mark Abrahams
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package nz.co.abrahams.asithappens.mainui;

import javax.swing.JComboBox;
import nz.co.abrahams.asithappens.snmputil.USMAuthProtocol;
import nz.co.abrahams.asithappens.snmputil.USMLevel;
import nz.co.abrahams.asithappens.snmputil.USMPrivProtocol;
import nz.co.abrahams.asithappens.snmputil.USMUser;
import nz.co.abrahams.asithappens.storage.Device;

/**
 *
 * @author mark
 */
public class EditDeviceDialog extends javax.swing.JDialog {

    private Device device;

    /** Creates new form EditDeviceDialog */
    public EditDeviceDialog(java.awt.Frame parent, boolean modal, String deviceName) {
        super(parent, modal);
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        versionGroup = new javax.swing.ButtonGroup();
        titleLabel = new javax.swing.JLabel();
        communityReadLabel = new javax.swing.JLabel();
        communityWriteLabel = new javax.swing.JLabel();
        version1Button = new javax.swing.JRadioButton();
        version3Button = new javax.swing.JRadioButton();
        communityLabel = new javax.swing.JLabel();
        communityReadField = new javax.swing.JTextField();
        communityWriteField = new javax.swing.JTextField();
        userLabel = new javax.swing.JLabel();
        userReadField = new javax.swing.JTextField();
        userWriteField = new javax.swing.JTextField();
        userTypeLabel = new javax.swing.JLabel();
        readTypeCombo = new JComboBox(USMLevel.values());
        writeTypeCombo = new JComboBox(USMLevel.values());
        authLabel = new javax.swing.JLabel();
        authReadField = new javax.swing.JTextField();
        authWriteField = new javax.swing.JTextField();
        privLabel = new javax.swing.JLabel();
        privReadField = new javax.swing.JTextField();
        privWriteField = new javax.swing.JTextField();
        userReadLabel = new javax.swing.JLabel();
        userWriteLabel = new javax.swing.JLabel();
        authProtocolLabel = new javax.swing.JLabel();
        authProtocolReadCombo = new JComboBox(USMAuthProtocol.values());
        authProtocolWriteCombo = new JComboBox(USMAuthProtocol.values());
        privProtocolLabel = new javax.swing.JLabel();
        privProtocolReadCombo = new JComboBox(USMPrivProtocol.values());
        privProtocolWriteCombo = new JComboBox(USMPrivProtocol.values());
        okButton = new javax.swing.JButton();
        cancelButton = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        titleLabel.setText("Edit SNMP authentication parameters");
        getContentPane().add(titleLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 10, -1, -1));

        communityReadLabel.setText("Read");
        getContentPane().add(communityReadLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(200, 50, -1, -1));

        communityWriteLabel.setText("Write");
        getContentPane().add(communityWriteLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(360, 50, -1, -1));

        versionGroup.add(version1Button);
        version1Button.setText("SNMP v1 / v2c");
        getContentPane().add(version1Button, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 40, -1, -1));

        versionGroup.add(version3Button);
        version3Button.setText("SNMP v3");
        getContentPane().add(version3Button, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 120, -1, -1));

        communityLabel.setText("Community");
        getContentPane().add(communityLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(40, 80, -1, -1));

        communityReadField.setText("public");
        getContentPane().add(communityReadField, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 80, 120, -1));

        communityWriteField.setText("private");
        getContentPane().add(communityWriteField, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 80, 120, -1));

        userLabel.setText("User");
        getContentPane().add(userLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 170, -1, -1));

        userReadField.setText("public");
        getContentPane().add(userReadField, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 170, 120, -1));

        userWriteField.setText("private");
        getContentPane().add(userWriteField, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 170, 120, -1));

        userTypeLabel.setText("Type");
        getContentPane().add(userTypeLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 210, -1, -1));

        getContentPane().add(readTypeCombo, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 210, 120, 20));

        getContentPane().add(writeTypeCombo, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 210, 120, 20));

        authLabel.setText("Auth key");
        getContentPane().add(authLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 290, -1, -1));
        getContentPane().add(authReadField, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 290, 120, -1));
        getContentPane().add(authWriteField, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 290, 120, -1));

        privLabel.setText("Priv key");
        getContentPane().add(privLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 370, -1, -1));
        getContentPane().add(privReadField, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 370, 120, -1));
        getContentPane().add(privWriteField, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 370, 120, -1));

        userReadLabel.setText("Read");
        getContentPane().add(userReadLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(200, 130, -1, -1));

        userWriteLabel.setText("Write");
        getContentPane().add(userWriteLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(360, 130, -1, -1));

        authProtocolLabel.setText("Auth protocol");
        getContentPane().add(authProtocolLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 250, -1, -1));

        getContentPane().add(authProtocolReadCombo, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 250, 120, 20));

        getContentPane().add(authProtocolWriteCombo, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 250, 120, 20));

        privProtocolLabel.setText("Priv protocol");
        getContentPane().add(privProtocolLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 330, -1, -1));

        getContentPane().add(privProtocolReadCombo, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 330, 120, 20));

        getContentPane().add(privProtocolWriteCombo, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 330, 120, 20));

        okButton.setText("OK");
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                okButtonActionPerformed(evt);
            }
        });
        getContentPane().add(okButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(100, 410, 90, 30));

        cancelButton.setText("Cancel");
        cancelButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelButtonActionPerformed(evt);
            }
        });
        getContentPane().add(cancelButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 410, 90, 30));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void okButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_okButtonActionPerformed
        saveDevice();
        dispose();
    }//GEN-LAST:event_okButtonActionPerformed

    private void cancelButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelButtonActionPerformed
        dispose();
    }//GEN-LAST:event_cancelButtonActionPerformed

    private void loadDevice() {

    }

    private void saveDevice() {
        USMUser readUser;
        USMUser writeUser;
        
        //readUser = new USMUser();
        
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel authLabel;
    private javax.swing.JLabel authProtocolLabel;
    private javax.swing.JComboBox authProtocolReadCombo;
    private javax.swing.JComboBox authProtocolWriteCombo;
    private javax.swing.JTextField authReadField;
    private javax.swing.JTextField authWriteField;
    private javax.swing.JButton cancelButton;
    private javax.swing.JLabel communityLabel;
    private javax.swing.JTextField communityReadField;
    private javax.swing.JLabel communityReadLabel;
    private javax.swing.JTextField communityWriteField;
    private javax.swing.JLabel communityWriteLabel;
    private javax.swing.JButton okButton;
    private javax.swing.JLabel privLabel;
    private javax.swing.JLabel privProtocolLabel;
    private javax.swing.JComboBox privProtocolReadCombo;
    private javax.swing.JComboBox privProtocolWriteCombo;
    private javax.swing.JTextField privReadField;
    private javax.swing.JTextField privWriteField;
    private javax.swing.JComboBox readTypeCombo;
    private javax.swing.JLabel titleLabel;
    private javax.swing.JLabel userLabel;
    private javax.swing.JTextField userReadField;
    private javax.swing.JLabel userReadLabel;
    private javax.swing.JLabel userTypeLabel;
    private javax.swing.JTextField userWriteField;
    private javax.swing.JLabel userWriteLabel;
    private javax.swing.JRadioButton version1Button;
    private javax.swing.JRadioButton version3Button;
    private javax.swing.ButtonGroup versionGroup;
    private javax.swing.JComboBox writeTypeCombo;
    // End of variables declaration//GEN-END:variables

}
